package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

public class UserModel {
    private Long userId;
    private String name;
    private String email;
    private Long bucketMax;
    private Long sizeMax;
    private Date createTime;
    private List<XskyUserKeyModel> xskyUserKeyModels;
    // 默认只保留一份对象用户的密钥
    private String accessKey;
    private String secretKey;
    private List<BucketModel> bucketModels;
    private Long xskyOsUserId; // 存储桶ID
    private Long bucketNum; // 存储桶个数
    private Long bucketQuotaMaxObjects;
    private Long bucketQuotaMaxSize;
    private String displayName;
    private Long maxBuckets; // 存储桶最大数量 未使用 maxBuckets
    private String opMask; // read,write,delete
    private String status;
    private Boolean suspended;
    private Long userQuotaMaxObjects;
    private Long userQuotaMaxSize; // 最大使用量
    private Long allocatedObjects; // 用户对象使用 个数
    private Long allocatedSize; // 用户容量使用 以使用
    private Long totalRxBytes; //上传数据总量
    private Long totalTxBytes; // 下载数据总理

    /**
     * @return the userId
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * @param userId the userId to set
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the email
     */
    public String getEmail() {
        return email;
    }

    /**
     * @param email the email to set
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * @return the bucketMax
     */
    public Long getBucketMax() {
        return bucketMax;
    }

    /**
     * @param bucketMax the bucketMax to set
     */
    public void setBucketMax(Long bucketMax) {
        this.bucketMax = bucketMax;
    }

    /**
     * @return the sizeMax
     */
    public Long getSizeMax() {
        return sizeMax;
    }

    /**
     * @param sizeMax the sizeMax to set
     */
    public void setSizeMax(Long sizeMax) {
        this.sizeMax = sizeMax;
    }

    public UserModel() {
        super();
    }

    public UserModel(Long userId) {
        super();
        this.userId = userId;
    }

    public UserModel(String name, String email, Long bucketMax, Long sizeMax) {
        super();
        this.name = name;
        this.email = email;
        this.bucketMax = bucketMax;
        this.sizeMax = sizeMax;
    }

    public Long getXskyOsUserId() {
        return xskyOsUserId;
    }

    public void setXskyOsUserId(Long xskyOsUserId) {
        this.xskyOsUserId = xskyOsUserId;
    }

    public List<XskyUserKeyModel> getXskyUserKeyModels() {
        return xskyUserKeyModels;
    }

    public void setXskyUserKeyModels(List<XskyUserKeyModel> xskyUserKeyModels) {
        this.xskyUserKeyModels = xskyUserKeyModels;
    }

    public List<BucketModel> getBucketModels() {
        return bucketModels;
    }

    public void setBucketModels(List<BucketModel> bucketModels) {
        this.bucketModels = bucketModels;
    }

    public Long getBucketNum() {
        return bucketNum;
    }

    public void setBucketNum(Long bucketNum) {
        this.bucketNum = bucketNum;
    }

    public Long getBucketQuotaMaxObjects() {
        return bucketQuotaMaxObjects;
    }

    public void setBucketQuotaMaxObjects(Long bucketQuotaMaxObjects) {
        this.bucketQuotaMaxObjects = bucketQuotaMaxObjects;
    }

    public Long getBucketQuotaMaxSize() {
        return bucketQuotaMaxSize;
    }

    public void setBucketQuotaMaxSize(Long bucketQuotaMaxSize) {
        this.bucketQuotaMaxSize = bucketQuotaMaxSize;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public Long getMaxBuckets() {
        return maxBuckets;
    }

    public void setMaxBuckets(Long maxBuckets) {
        this.maxBuckets = maxBuckets;
    }

    public String getOpMask() {
        return opMask;
    }

    public void setOpMask(String opMask) {
        this.opMask = opMask;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Boolean getSuspended() {
        return suspended;
    }

    public void setSuspended(Boolean suspended) {
        this.suspended = suspended;
    }

    public Long getUserQuotaMaxObjects() {
        return userQuotaMaxObjects;
    }

    public void setUserQuotaMaxObjects(Long userQuotaMaxObjects) {
        this.userQuotaMaxObjects = userQuotaMaxObjects;
    }

    public Long getUserQuotaMaxSize() {
        return userQuotaMaxSize;
    }

    public void setUserQuotaMaxSize(Long userQuotaMaxSize) {
        this.userQuotaMaxSize = userQuotaMaxSize;
    }

    public Long getAllocatedObjects() {
        return allocatedObjects;
    }

    public void setAllocatedObjects(Long allocatedObjects) {
        this.allocatedObjects = allocatedObjects;
    }

    public Long getAllocatedSize() {
        return allocatedSize;
    }

    public void setAllocatedSize(Long allocatedSize) {
        this.allocatedSize = allocatedSize;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getTotalRxBytes() {
        return totalRxBytes;
    }

    public void setTotalRxBytes(Long totalRxBytes) {
        this.totalRxBytes = totalRxBytes;
    }

    public Long getTotalTxBytes() {
        return totalTxBytes;
    }

    public void setTotalTxBytes(Long totalTxBytes) {
        this.totalTxBytes = totalTxBytes;
    }
}
